Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDiskSource Class Reference

`#include <vtkDiskSource.h>`

Inheritance diagram for vtkDiskSource:

[legend]
Collaboration diagram for vtkDiskSource:

[legend]
List of all members.

## Detailed Description

create a disk with hole in center

Date:
  2002/11/03 22:51:55

Revision:
  1.36

vtkDiskSource creates a polygonal disk with a hole in the center. The disk has zero height. The user can specify the inner and outer radius of the disk, and the radial and circumferential resolution of the polygonal representation.

See also:
  vtkLinearExtrusionFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (81%)
  - Martin, Ken (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkDiskSource.cxx)`
  - .`h` (`/Graphics/vtkDiskSource.h)`

Tests:
  vtkDiskSource (Tests)

Definition at line 49 of file vtkDiskSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInnerRadius (float)
virtual float | GetInnerRadius ()
virtual void | SetOuterRadius (float)
virtual float | GetOuterRadius ()
virtual void | SetRadialResolution (int)
virtual int | GetRadialResolution ()
virtual void | SetCircumferentialResolution (int)
virtual int | GetCircumferentialResolution ()
## Static Public Methods
vtkDiskSource * | New ()
int | IsTypeOf (const char *type)
vtkDiskSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDiskSource ()
| ~vtkDiskSource ()
void | Execute ()
## Protected Attributes
float | InnerRadius
float | OuterRadius
int | RadialResolution
int | CircumferentialResolution

## Member Typedef Documentation

typedef vtkPolyDataSource vtkDiskSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 53 of file vtkDiskSource.h.

## Constructor & Destructor Documentation

vtkDiskSource::vtkDiskSource | ( |  | ) | `[protected]`

vtkDiskSource::~vtkDiskSource | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkDiskSource.h.

## Member Function Documentation

vtkDiskSource* vtkDiskSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDiskSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkDiskSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkDiskSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkDiskSource* vtkDiskSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkDiskSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkDiskSource::SetInnerRadius | ( | float |  | ) | `[virtual]`

| Specify inner radius of hole in disc.

virtual float vtkDiskSource::GetInnerRadius | ( |  | ) | `[virtual]`

| Specify inner radius of hole in disc.

virtual void vtkDiskSource::SetOuterRadius | ( | float |  | ) | `[virtual]`

| Specify outer radius of disc.

virtual float vtkDiskSource::GetOuterRadius | ( |  | ) | `[virtual]`

| Specify outer radius of disc.

virtual void vtkDiskSource::SetRadialResolution | ( | int |  | ) | `[virtual]`

| Set the number of points in radius direction.

virtual int vtkDiskSource::GetRadialResolution | ( |  | ) | `[virtual]`

| Set the number of points in radius direction.

virtual void vtkDiskSource::SetCircumferentialResolution | ( | int |  | ) | `[virtual]`

| Set the number of points in circumferential direction.

virtual int vtkDiskSource::GetCircumferentialResolution | ( |  | ) | `[virtual]`

| Set the number of points in circumferential direction.

void vtkDiskSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkDiskSource::InnerRadius`[protected]`

| Definition at line 85 of file vtkDiskSource.h.

float vtkDiskSource::OuterRadius`[protected]`

| Definition at line 86 of file vtkDiskSource.h.

int vtkDiskSource::RadialResolution`[protected]`

| Definition at line 87 of file vtkDiskSource.h.

int vtkDiskSource::CircumferentialResolution`[protected]`

| Definition at line 88 of file vtkDiskSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDiskSource.h